﻿using Syncfusion.DocIO;
using Syncfusion.DocIO.DLS;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BugNestedGroup
{
	class Program
	{
		static void Main(string[] args)
		{
			WordDocument document = new WordDocument(@"..\..\Data\Template.docx");

			DataModel source = new DataModel(1);
			source.addChild(2);
			source.addChild(3);
			source.addChild(4);

			MailMergeDataTable dt = new MailMergeDataTable(source.DataModelName, new List<DataModel>() { source });
			document.MailMerge.ExecuteNestedGroup(dt);

			document.Save(@"..\..\Data\Template_out.docx");

			document.Close();
		}
	}
}
